curl --request PATCH \
--url https://api.cal.com/v2/organizations/{orgId}/calendar-invites \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"host": {
"mode": "custom",
"template": "Meeting with {ATTENDEE}"
},
"guest": {
"mode": "inherit"
}
}
'import requests
url = "https://api.cal.com/v2/organizations/{orgId}/calendar-invites"
payload = {
"host": {
"mode": "custom",
"template": "Meeting with {ATTENDEE}"
},
"guest": { "mode": "inherit" }
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
host: {mode: 'custom', template: 'Meeting with {ATTENDEE}'},
guest: {mode: 'inherit'}
})
};
fetch('https://api.cal.com/v2/organizations/{orgId}/calendar-invites', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cal.com/v2/organizations/{orgId}/calendar-invites",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'host' => [
'mode' => 'custom',
'template' => 'Meeting with {ATTENDEE}'
],
'guest' => [
'mode' => 'inherit'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.cal.com/v2/organizations/{orgId}/calendar-invites"
payload := strings.NewReader("{\n \"host\": {\n \"mode\": \"custom\",\n \"template\": \"Meeting with {ATTENDEE}\"\n },\n \"guest\": {\n \"mode\": \"inherit\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "<authorization>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.cal.com/v2/organizations/{orgId}/calendar-invites")
.header("Authorization", "<authorization>")
.header("Content-Type", "application/json")
.body("{\n \"host\": {\n \"mode\": \"custom\",\n \"template\": \"Meeting with {ATTENDEE}\"\n },\n \"guest\": {\n \"mode\": \"inherit\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cal.com/v2/organizations/{orgId}/calendar-invites")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = '<authorization>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"host\": {\n \"mode\": \"custom\",\n \"template\": \"Meeting with {ATTENDEE}\"\n },\n \"guest\": {\n \"mode\": \"inherit\"\n }\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"host": {
"mode": "custom",
"template": "Organization default: {LINK_TITLE}"
},
"guest": {
"mode": "custom",
"template": "Organization default: {LINK_TITLE}"
}
}
}Update organization calendar-invite defaults
Updates one or both host and guest organization defaults; omitted audiences are unchanged. Access matches the web organization procedure: the organization.update PBAC permission grants access, or the ORG_ADMIN role applies when PBAC is not granting it. OAuth clients require ORG_PROFILE_WRITE. Platform organizations must have the Essentials plan; regular organizations are not subject to platform plan gating. custom templates are limited to 5,000 characters and sanitized before saving; Markdown links are preserved. An inherit mode clears the organization default. Event types resolve their own custom template first, then this default, then Cal.com’s standard description.
curl --request PATCH \
--url https://api.cal.com/v2/organizations/{orgId}/calendar-invites \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"host": {
"mode": "custom",
"template": "Meeting with {ATTENDEE}"
},
"guest": {
"mode": "inherit"
}
}
'import requests
url = "https://api.cal.com/v2/organizations/{orgId}/calendar-invites"
payload = {
"host": {
"mode": "custom",
"template": "Meeting with {ATTENDEE}"
},
"guest": { "mode": "inherit" }
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
host: {mode: 'custom', template: 'Meeting with {ATTENDEE}'},
guest: {mode: 'inherit'}
})
};
fetch('https://api.cal.com/v2/organizations/{orgId}/calendar-invites', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cal.com/v2/organizations/{orgId}/calendar-invites",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'host' => [
'mode' => 'custom',
'template' => 'Meeting with {ATTENDEE}'
],
'guest' => [
'mode' => 'inherit'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.cal.com/v2/organizations/{orgId}/calendar-invites"
payload := strings.NewReader("{\n \"host\": {\n \"mode\": \"custom\",\n \"template\": \"Meeting with {ATTENDEE}\"\n },\n \"guest\": {\n \"mode\": \"inherit\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "<authorization>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.cal.com/v2/organizations/{orgId}/calendar-invites")
.header("Authorization", "<authorization>")
.header("Content-Type", "application/json")
.body("{\n \"host\": {\n \"mode\": \"custom\",\n \"template\": \"Meeting with {ATTENDEE}\"\n },\n \"guest\": {\n \"mode\": \"inherit\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cal.com/v2/organizations/{orgId}/calendar-invites")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = '<authorization>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"host\": {\n \"mode\": \"custom\",\n \"template\": \"Meeting with {ATTENDEE}\"\n },\n \"guest\": {\n \"mode\": \"inherit\"\n }\n}"
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"host": {
"mode": "custom",
"template": "Organization default: {LINK_TITLE}"
},
"guest": {
"mode": "custom",
"template": "Organization default: {LINK_TITLE}"
}
}
}Headers
value must be Bearer <token> where <token> is api key prefixed with cal_
Path Parameters
Body
Was this page helpful?